curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/images/export-image/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "image_id": 36759, "access_key": "IOVK20QGW17HLF77G8ZB", "secret_key": "0R86B58OGN6V9N9MAJJ89MAK2PCIA5FPETAAMKRR", "bucket": "vishnukant", "region": "Delhi"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/images/export-image/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "image_id": 36759, "access_key": "IOVK20QGW17HLF77G8ZB", "secret_key": "0R86B58OGN6V9N9MAJJ89MAK2PCIA5FPETAAMKRR", "bucket": "vishnukant", "region": "Delhi", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/images/export-image/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "image_id": 36759, "access_key": "IOVK20QGW17HLF77G8ZB", "secret_key": "0R86B58OGN6V9N9MAJJ89MAK2PCIA5FPETAAMKRR", "bucket": "vishnukant", "region": "Delhi" }),});console.log(await response.json());This API allows users to export a custom Volume from a public object storage URL.
The image will be available under the user’s account for use with compute resources.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Project ID Find your project id here
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”object
Unique identifier of the image to be exported.
Example
36759Access key for the destination bucket.
Example
IOVK20QGW17HLF77G8ZBSecret key corresponding to the access key.
Example
0R86B58OGN6V9N9MAJJ89MAK2PCIA5FPETAAMKRRName of the target storage bucket.
Example
vishnukantRegion where the image will be exported.
Example
DelhiResponses
Section titled “Responses”Volume is successfully Exported
object
HTTP status code of the response
Response data (empty object if no data)
object
Errors encountered (empty if none)
object
Response message
Example
{ "code": 200, "data": {}, "errors": {}, "message": "Success"}